<?php
$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_7771b5dcfeeecba30b34d84c09a21e" . "c4" => base64_decode("Y2FsZW5kYXIu" . "ZXJyX2ludmFs" . "aWRfZGF0ZQ=="), "_0c5123aa744f69bbc0e8b3" . "ea2f6e847d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_d717884ce9fe95b212" . "f09fa38768bc1f" => base64_decode("Y2FsZW5kYXIuZXJyX2VuZF9iZWZvcmVfc3Rh" . "cnQ="));






class CalendarEventDatePeriod extends DatePeriodDialog
{
    public function __construct($_7392cbdbf5bdf4880fc8e5fbb070663d = false)
    {
        parent::__construct($_7392cbdbf5bdf4880fc8e5fbb070663d);
    }
    
    
    
    
    
    
    public function ValidateStartEnd()
    {
        if (!$this->start || !$this->end) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_0c5123aa744f69" . "bbc0e8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_7771b5dcfeeecba3" . "0b34d84c09a21ec4"]));
        }
        
        
        if (Date::compare($this->start, $this->end, 1) <= 0) {
            return true;
        } else {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_0c5123aa744f69bbc0e8" . "b3ea2f6e847d"]($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_d717884ce9fe9" . "5b212f09fa3876" . "8bc1f"]));
        }
    }
}